Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.vecmath.geom
Class Frustum

    java.lang.Object
      de.grogra.vecmath.geom.VolumeBase
          de.grogra.vecmath.geom.TransformableVolume
              de.grogra.vecmath.geom.FrustumBase
                  de.grogra.vecmath.geom.Cone
                      de.grogra.vecmath.geom.Frustum

All Implemented Interfaces:
  Volume

    public class Frustum

extends Cone

This class represents the geometry of a frustum. It inherits all properties from the superclass `Cone`. However, the geometry is modified such that the part from the cone's tip up to the plane at z=1 is removed. I.e., the frustum is the intersection of the cone and the half-space above the plane z=1.

Author:
  Ole Kniemeyer

Field Summary
`boolean` | `topOpen`

Fields inherited from class de.grogra.vecmath.geom.Cone
`base, baseOpen, rotateUV`

Fields inherited from class de.grogra.vecmath.geom.FrustumBase
`BASE, LATERAL, scaleV, TOP`

Fields inherited from class de.grogra.vecmath.geom.TransformableVolume
`m00, m01, m02, m10, m11, m12, m20, m21, m22, t0, t1, t2`

Constructor Summary
`Frustum()`

Method Summary
`double` | `getTop()`
`boolean` | `isTopOpen()`

Methods inherited from class de.grogra.vecmath.geom.Cone
`computeIntersections, computeNormal, computeTangents, computeUV, contains, getBase, getExtent, isBaseOpen, isUVRotated`

Methods inherited from class de.grogra.vecmath.geom.FrustumBase
`boxContainsBoundary, intersect`

Methods inherited from class de.grogra.vecmath.geom.TransformableVolume
`getDiscExtent, getDiscsExtent, getFrobeniusNorm, getObjectToWorldRotationScale, getTransformation, invalidate, invTransformPoint, scale, setTransformation, setTransformation, transformPoint, transformTranspose, transformVector, translate`

Methods inherited from class de.grogra.vecmath.geom.VolumeBase
`addConvexIntersections, getId, operator$and, operator$com, operator$or, operator$sub, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### topOpen

    public boolean topOpen

Constructor Detail

### Frustum

    public Frustum()

Method Detail

### getTop

    public double getTop()

  Overrides:
    `getTop` in class `Cone`

### isTopOpen

    public boolean isTopOpen()

  Overrides:
    `isTopOpen` in class `Cone`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD